Bug 448538 - 'BadAlloc (insufficient resources for operation)'
'BadAlloc (insufficient resources for operation)'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
http://www.kernel.org/pub/linux/kerne...
: Reopened
: 447292 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 10:48 EDT by Harald Hoyer
Modified: 2010-02-05 07:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-05 07:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 436037 None None None Never

  None (edit)
Description Harald Hoyer 2008-05-27 10:48:50 EDT
Description of problem:

$ firefox
http://www.kernel.org/pub/linux/kernel/people/gregkh/kernel_history/developer_graph-2.6.18.png
The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 3331 error_code 11 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)


Version-Release number of selected component (if applicable):


How reproducible:

on x86_64 and i386
Comment 1 Harald Hoyer 2008-05-27 10:50:03 EDT
$ rpm -q firefox
firefox-3.0-0.60.beta5.fc9.x86_64

and

$ rpm -q firefox

firefox-3.0-0.60.beta5.fc9.i386

Comment 2 Harald Hoyer 2008-05-27 11:00:16 EDT
$ file developer_graph-2.6.18.png

developer_graph-2.6.18.png: PNG image data, 48330 x 2159, 8-bit/color RGBA,
non-interlaced

Comment 3 Matěj Cepl 2008-05-27 17:07:30 EDT
Can fully reproduce with the same image to crash firefox.
Comment 4 Ryan James 2008-05-27 19:00:41 EDT
The exact same crash happens in epiphany too, so it's likely some xulrunner thing.
Comment 5 Matěj Cepl 2008-05-28 05:19:23 EDT
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=436037) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 6 Matěj Cepl 2008-05-30 17:39:01 EDT
*** Bug 447292 has been marked as a duplicate of this bug. ***
Comment 7 Matěj Cepl 2008-05-30 17:41:06 EDT
Bug 447292 is related, but not duplicate.
Comment 8 Matěj Cepl 2008-05-30 17:41:34 EDT
It might be also related with bug 212135    	 
Comment 9 David Nielsen 2009-02-21 08:45:03 EST
*** Bug 447292 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2009-06-09 21:14:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 13:56:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Vlado Potisk 2009-07-26 04:52:45 EDT
I can reproduce the BadAlloc bug on Fedora 10 with firefox-3.0.12-1.fc10.x86_64, but on a different website.

firefox -safe-mode --sync

(immediate crash after visiting http://www.hueppe.de)

The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 50920 error_code 11 request_code 53 minor_code 0)
Comment 13 Jim Wright 2010-01-29 05:58:22 EST
From the point of view of anyone interested in promoting Linux desktops as an alternative to Windows, the priority of this issue is through the roof.

If I understand correctly we are waiting for the Mozilla Firefox community to fix the issue, now in https://bugzilla.mozilla.org/show_bug.cgi?id=424333
This may not be such a good idea because that community does not have as much motivation as us to support Linux desktops. 

I am maintaining a web site for a large multi-national business (millions of page impressions per week and several 100s of thousands of active registered users. When I open the online site in Firefox on fc11, it crashes due to a wide image and this issue (yes, all open web apps etc. typically in many tabs/windows are gone). So I must use a different OS. Our customer sees this as a (relatively) low priority issue because less than 1% of hits are from Linux desktops (and some other Linux platforms are unaffected).

However, Firefox is a very popular browser with the users, which demonstrates why the referenced bug (424333) is not nearly as important for the Mozilla Firefox developers as this one should be for us (you and me).

I can confirm that the issue is still present in fc11 as per last comment in referenced ticket (424333), apparently 2 or 3 years at least after first reports of the issue.

BTW If I find time I will use bugzilla.mozilla.org to make a case that Firefox should be less sensitive to image rendering issues. E.g. handle this problem by ignoring the images instead of crashing.
Comment 14 Martin Stransky 2010-01-29 06:51:17 EST
The upstream bug contains a fix for this issue. I'm not sure it's caused by firefox or by cairo we we should investigate it and perhaps move it to cairo instead of firefox itself.
Comment 15 Martin Stransky 2010-02-05 07:13:26 EST
It's already fixed with F12/firefox-3.5.6.

Note You need to log in before you can comment on or make changes to this bug.